/**
 * 
 */
package forktest;

import org.jbpm.graph.def.ActionHandler;
import org.jbpm.graph.def.Node;
import org.jbpm.graph.exe.ExecutionContext;
import org.jbpm.graph.exe.Token;
import org.jbpm.graph.node.State;

/**
 * @author pauls
 *
 */
public class EnterStateHandler implements ActionHandler
{

	/**
	 * 
	 */
	private static final long	serialVersionUID	= 7209848070013962714L;

	/* (non-Javadoc)
	 * @see org.jbpm.graph.def.ActionHandler#execute(org.jbpm.graph.exe.ExecutionContext)
	 */
	public void execute(ExecutionContext executionContext) throws Exception
	{
		Node node = executionContext.getNode();
		Token token = executionContext.getToken();
		String tok_name = token.getFullName();
		
		if (node instanceof State)
		{
			System.out.println("Token: " + tok_name + " entering node: " + node.getName());
			JbpmStateManager jsm = JbpmStateManager.getInstance();
			jsm.EnterState(node, token);
		}
		else
		{
			System.out.println("Node is: " + node.getName());
		}
	}

}
